Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class DefaultEmbeddedImageListener

    java.lang.Object
      com.compoze.exchange.DefaultEmbeddedImageListener

All Implemented Interfaces:
  IEmbeddedImageListener, java.io.Serializable

public class DefaultEmbeddedImageListener
extends java.lang.Object
implements IEmbeddedImageListener, java.io.Serializable

This class is a default implementation of the `IEmbeddedImageListener`. If no parameters are set, the default parameters are as follows:

- `AttachmentServlet.MESSAGE_ID`
- `AttachmentServlet.ATTACHMENT_INDEX`
- `AttachmentServlet.SESSION_NAME`

See Also:
  Serialized Form

Constructor Summary
`DefaultEmbeddedImageListener()` Constructor.
`DefaultEmbeddedImageListener(java.lang.String sServletName)` Constructor.

Method Summary
`java.lang.String` | `getImageServletURL(java.lang.String sMessageID, java.lang.String sIndex)` Builds the embedded (inline) image url to use in a web application.
`void` | `setAttachmentIndexName(java.lang.String sAttachmentIndexName)` Sets the embedded attachment index name.
`void` | `setMessageIDName(java.lang.String sMessageIDName)` Sets the message id name.
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)` Sets the `HttpServletResponse` instance that is used to encode the final URL.
`void` | `setServletName(java.lang.String sServletName)` Sets the servlet name to be used when writing out a link.
`void` | `setSessionName(java.lang.String sSessionName)` Sets the session parameter name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEmbeddedImageListener

    public DefaultEmbeddedImageListener()

  Constructor.

### DefaultEmbeddedImageListener

    public DefaultEmbeddedImageListener(java.lang.String sServletName)

  Constructor.

Parameters:
  `sServletName` - the name of the servlet URI

Method Detail

### setServletName

    public void setServletName(java.lang.String sServletName)

  Sets the servlet name to be used when writing out a link.

  Parameters:
    `sServletName` - the name of the servlet (may not `null`)

### setMessageIDName

    public void setMessageIDName(java.lang.String sMessageIDName)

  Sets the message id name.

  Parameters:
    `sMessageIDName` - the name of the message id parameter name (may not be `null`)

### setAttachmentIndexName

    public void setAttachmentIndexName(java.lang.String sAttachmentIndexName)

  Sets the embedded attachment index name.

  Parameters:
    `sAttachmentIndexName` - name of the index parameter name (may not be `null`)

### setSessionName

    public void setSessionName(java.lang.String sSessionName)

  Sets the session parameter name.

  Parameters:
    `sSessionName` - the name of the http session attribute that has a reference to the exchange `Session` instance

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)

  Sets the `HttpServletResponse` instance that is used to encode the final URL.

### getImageServletURL

    public java.lang.String getImageServletURL(java.lang.String sMessageID,
                                               java.lang.String sIndex)

  Description copied from interface: `IEmbeddedImageListener`
  Builds the embedded (inline) image url to use in a web application.

  Specified by:
    `getImageServletURL` in interface `IEmbeddedImageListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.